# Google OAuth2 API

## Instance Methods

Returns the userinfo Resource.

A description of how to use this function

A description of how to use this function

A description of how to use this function

A description of how to use this function

A description of how to use this function

Create a BatchHttpRequest object based on the discovery document.

Get token info

### Method Details

`getCertForOpenIdConnect()`

    A description of how to use this function

    Args:

    Returns:
      An object of the form:

        {
        "a_key": "A String",
      }

`getCertForOpenIdConnectRaw()`

    A description of how to use this function

    Args:

    Returns:
      An object of the form:

        {
        "keyvalues": [
          {
            "keyid": "A String",
            "modulus": "A String",
            "exponent": "A String",
            "algorithm": "RSA",
          },
        ],
      }

`getRobotJwk(robotEmail)`

    A description of how to use this function

    Args:
      robotEmail: string, The email of robot account. (required)

    Returns:
      An object of the form:

        {
        "keys": [
          {
            "use": "sig",
            "e": "A String",
            "kty": "RSA",
            "alg": "RS256",
            "n": "A String",
            "kid": "A String",
          },
        ],
      }

`getRobotMetadataRaw(robotEmail)`

    A description of how to use this function

    Args:
      robotEmail: string, The email of robot account. (required)

    Returns:
      An object of the form:

        {
        "keyvalues": [
          {
            "keyid": "A String",
            "modulus": "A String",
            "exponent": "A String",
            "algorithm": "RSA",
          },
        ],
      }

`getRobotMetadataX509(robotEmail)`

    A description of how to use this function

    Args:
      robotEmail: string, The email of robot account. (required)

    Returns:
      An object of the form:

        {
        "a_key": "A String",
      }

`new_batch_http_request()`

    Create a BatchHttpRequest object based on the discovery document.

            Args:
              callback: callable, A callback to be called for each response, of the
                form callback(id, response, exception). The first parameter is the
                request id, and the second is the deserialized response object. The
                third is an apiclient.errors.HttpError exception object if an HTTP
                error occurred while processing the request, or None if no error
                occurred.

            Returns:
              A BatchHttpRequest object based on the discovery document.

`tokeninfo(access_token=None, id_token=None)`

    Get token info

    Args:
      access_token: string, The oauth2 access token
      id_token: string, The ID token

    Returns:
      An object of the form:

        {
        "issued_to": "A String", # To whom was the token issued to. In general the same as audience.
        "nonce": "A String", # Nonce of the id token.
        "user_id": "A String", # The obfuscated user id.
        "email_verified": True or False, # Boolean flag which is true if the email address is verified. Present only if the email scope is present in the request.
        "expires_in": 42, # The expiry time of the token, as number of seconds left until expiry.
        "access_type": "A String", # The access type granted with this token. It can be offline or online.
        "audience": "A String", # Who is the intended audience for this token. In general the same as issued_to.
        "issued_at": 42, # The issue time of the token, as number of seconds.
        "scope": "A String", # The space separated list of scopes granted to this token.
        "verified_email": True or False, # Boolean flag which is true if the email address is verified. Present only if the email scope is present in the request.
        "email": "A String", # The email address of the user. Present only if the email scope is present in the request.
        "issuer": "A String", # Who issued the token.
      }